# Create

Create a new vault.





```http
POST /api/public/v1/vaults
```

## Request body [#request-body]

<TypeTable
  type="{
  name: {
    type: &#x22;string&#x22;,
    required: true,
    description: &#x22;Vault name.&#x22;
  },
  description: {
    type: &#x22;string&#x22;,
    description: &#x22;Vault description.&#x22;
  }
}"
/>

## Example [#example]

<Tabs items="[&#x22;bash&#x22;, &#x22;TypeScript&#x22;, &#x22;Ruby&#x22;, &#x22;Python&#x22;, &#x22;Go&#x22;]">
  <Tab value="bash">
    ```bash
    curl -X POST https://api.nairi.ai/api/public/v1/vaults \
      -H "Authorization: Bearer $NAIRI_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "name": "Production Secrets",
        "description": "Production environment secrets"
      }'
    ```
  </Tab>

  <Tab value="TypeScript">
    ```ts
    const res = await fetch("https://api.nairi.ai/api/public/v1/vaults", {
      method: "POST",
      headers: {
        Authorization: `Bearer ${process.env.NAIRI_API_KEY}`,
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        name: "Production Secrets",
        description: "Production environment secrets",
      }),
    });
    const data = (await res.json()) as { id: string };
    ```
  </Tab>

  <Tab value="Ruby">
    ```ruby
    require "net/http"
    require "json"
    require "uri"

    uri = URI("https://api.nairi.ai/api/public/v1/vaults")
    req = Net::HTTP::Post.new(uri)
    req["Authorization"] = "Bearer #{ENV['NAIRI_API_KEY']}"
    req["Content-Type"] = "application/json"
    req.body = {
      name: "Production Secrets",
      description: "Production environment secrets",
    }.to_json

    res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
    data = JSON.parse(res.body)
    ```
  </Tab>

  <Tab value="Python">
    ```python
    import os
    import requests

    res = requests.post(
        "https://api.nairi.ai/api/public/v1/vaults",
        headers={
            "Authorization": f"Bearer {os.environ['NAIRI_API_KEY']}",
            "Content-Type": "application/json",
        },
        json={
            "name": "Production Secrets",
            "description": "Production environment secrets",
        },
    )
    data = res.json()
    ```
  </Tab>

  <Tab value="Go">
    ```go
    package main

    import (
    	"bytes"
    	"encoding/json"
    	"fmt"
    	"io"
    	"net/http"
    	"os"
    )

    func main() {
    	body, _ := json.Marshal(map[string]any{
    		"name":        "Production Secrets",
    		"description": "Production environment secrets",
    	})
    	req, _ := http.NewRequest("POST", "https://api.nairi.ai/api/public/v1/vaults", bytes.NewReader(body))
    	req.Header.Set("Authorization", "Bearer "+os.Getenv("NAIRI_API_KEY"))
    	req.Header.Set("Content-Type", "application/json")
    	res, _ := http.DefaultClient.Do(req)
    	defer res.Body.Close()
    	raw, _ := io.ReadAll(res.Body)
    	var data map[string]any
    	json.Unmarshal(raw, &data)
    	fmt.Println(data)
    }
    ```
  </Tab>
</Tabs>

## Response: `201 Created` [#response-201-created]

```json
{
  "id": "vlt_01KQ27A9319F29AHTBABHCBCJK",
  "name": "Production Secrets",
  "description": "Production environment secrets",
  "secrets_count": 0,
  "created_at": "2026-04-25T11:45:04.000Z",
  "updated_at": "2026-04-25T11:45:04.000Z"
}
```
